From 1ea91952c4a3a75ea8c9c22ce504956c31f9941f Mon Sep 17 00:00:00 2001
From: memeplex <carlosjosepita@gmail.com>
Date: Wed, 16 Oct 2019 13:44:00 -0300
Subject: [PATCH] Remove redundant and incomplete initialization of fringe
 bitmap

* src/fringe.c: the removed memset was setting fb.height bytes to zero
but the size of the bitmap is fb.height*BYTES_PER_BITMAP_ROW instead,
with BYTES_PER_BITMAP_ROW == 2. Nevertheless, the loop immediately
below is already initializing all fb.height*BYTES_PER_BITMAP_ROW so
there is no need to keep that memset. See bug#37756.
---
 src/fringe.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/fringe.c b/src/fringe.c
index 22f3bdc..08bf271 100644
--- a/src/fringe.c
+++ b/src/fringe.c
@@ -1607,7 +1607,6 @@ list (ALIGN PERIODIC) where PERIODIC non-nil specifies that the bitmap
   fb.bits = b = ((unsigned short *)
 		 ptr_bounds_clip (xfb + 1, fb.height * BYTES_PER_BITMAP_ROW));
   xfb = ptr_bounds_clip (xfb, sizeof *xfb);
-  memset (b, 0, fb.height);
 
   j = 0;
   while (j < fb.height)
-- 
2.20.1

